Crashes QGIS or corrupts data:No Copied to github as #: 25510

Description

New description:

Affects both 2.18.14 and master.

The same spatial queries are ok for Spatialite datasources.

Also using virtual layers seems to work as expected.

A query like:

SELECT fid, ST_Buffer(geom,100) AS geom

FROM points

for a GPKG datasource will result in a layer (loaded using the "load as new layer" option) that has the same geometry as the source one

(and is empty).

Old description:

I'm trying to apply some spatial SQL functions like ST_BUFFER in a point layer.  The output is correct in the database manager but the

representation is incorrect on the canvas.

https://i.imgur.com/p3YO9PF.png

The output is supposed to be a polygon layer.

https://i.imgur.com/1h26Ipo.png

History

#1 - 2017-12-04 08:57 PM - Giovanni Manghi

- Subject changed from Error SQL spatial functions in DB Manager and GeoPakcage (QGIS v2.99) to Spatial SQL queries are not working DB Manager 

for GeoPackage datasources

- Crashes QGIS or corrupts data changed from Yes to No

- Operating System deleted (Arch Linux x64)

- Description updated

#2 - 2017-12-04 08:58 PM - Giovanni Manghi

Description updated. Also: if QGIS uses Spatialite >= 4.3 then "CastAutomagic" is not necessary anymore. http://www.gdal.org/drv_geopackage.html
#3 - 2017-12-04 08:59 PM - Giovanni Manghi

- Description updated

- Subject changed from Spatial SQL queries are not working DB Manager for GeoPackage datasources to Spatial SQL queries are not working (wrong, 

empty result) in DB Manager for GeoPackage datasources

#4 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
